%global pypi_name tinydb
%global sum TinyDB is a tiny, document oriented database
%global author msiemens

Name:           python-%{pypi_name}
Version:        3.7.0
Release:        3%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://github.com/%{author}/%{pypi_name}/archive/v%version.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  pytest

%description
TinyDB is a lightweight document oriented database optimized for your happiness

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py2_build

%install
%py2_install
rm -fr %{buildroot}%{python2_sitelib}/tests

%check
%{__python2} setup.py test

%files -n python-%{pypi_name}
%doc CONTRIBUTING.rst README.rst docs
#%license LICENCE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Mon Nov 13 2017 Fabian Arrotin <arrfab@centos.org> - 3.7.0-1
- Update to 3.7.0

* Wed Feb 10 2016 Sundeep Anand <suanand@redhat.com> - 3.1.2-3
- EPEL specific changes

* Tue Feb 09 2016 Sundeep Anand <suanand@redhat.com> - 3.1.2-2
- Include docs directory.

* Tue Feb 02 2016 Sundeep Anand <suanand@redhat.com> - 3.1.2-1
- Initial RPM Package.
